Bug 471849 - [ RHEL 5.3 ]System hangs intermittently during iSCSI HBA configuration with inbox driver.
[ RHEL 5.3 ]System hangs intermittently during iSCSI HBA configuration with i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
Depends On:
Blocks: 373081 415811
  Show dependency treegraph
 
Reported: 2008-11-17 01:15 EST by nandkumar mane
Modified: 2009-06-20 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 13:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ioctl module with debug enabled (54.04 KB, application/gzip)
2008-11-20 17:31 EST, David Somayajulu
no flags Details

  None (edit)
Description nandkumar mane 2008-11-17 01:15:27 EST
Description of problem:
On RHEL5U2 machine, I am using inbox iSCSI HBA driver. During iSCSI HBA configuration using iscli, kernel panics intermittently with following error.
RIP  [<ffffffff991307d8>]  :qisioctl:qla4xxx_ioctl+0x249/0x12d5
  RSP <ffff810067509e18>
CR2: 0000000000000068
 <0>Kernel Panic - not syncing: Fatal exception

Version-Release number of selected component (if applicable):
OS : RHEL5U2
iSCSI HBA : QLA4052C
module : qla4xxx  version 5.01.00-k8_rhel5.2-01
iscli version 1.1.00-13

How reproducible:
Intermittent

Steps to Reproduce:
1.Configure HBA using iscli.
2.Add new iscsi target.
3.Save Changes
4.See lun informatin
  
Actual results:
Host panics intermittently.

Expected results:
Host should not panic.

Additional info:
Once host paniced during configuration, after every next reboot host kernel panics.
Comment 1 Marcus Barrow 2008-11-17 11:14:09 EST
Can you confirm that you are using rhel 5.2. Do you observe the same behavior
with the latest rhel 5.3 snapshot?

Can you also please include the test from the system log?
Comment 2 nandkumar mane 2008-11-17 22:09:10 EST
Yes, I have seen this issue with RHEL5.2 GA and RHEL5.3 Snapshot.
Comment 3 David Somayajulu 2008-11-18 17:06:00 EST
Would you mind giving me some more data points.

1. What is the version of the firmware on QLA4052C ?
2. After Step 1. in the 4 steps you mentioned above, what is the target configuration ? I mean can I get a list of targets configured.

3. Also is it possible to test it with a debug version of the ioctl module (qisioctl.ko)(I can provide that).

thanks
david S.
Comment 4 nandkumar mane 2008-11-19 09:29:52 EST
BIOS version : 1.14
Firmware version : v3.0.1.49

I saved configuration after configuring 10.72.199.94 and 10.72.199.71 as a target. After saving configuration I was not able to see scsi devices in /proc/scsi/scsi, so I reloaded qla4xxx driver. During driver reload kernel paniced. Now after every reboot system is getting kernel panic.

Yes, Please provide me with debug version of ioctl module.
Comment 5 David Somayajulu 2008-11-20 17:31:38 EST
Created attachment 324247 [details]
ioctl module with debug enabled

enclosed is the ioctl module. Please untar it and run ./build.sh to build the ioctl module. Unload the previous ioctl module using "rmmod qisioctl" and install the new one "insmod <path>/qisioctl.ko"
Comment 6 Andrius Benokraitis 2008-12-08 21:52:44 EST
Netapp - any status with the suggested ioctl module from David?
Comment 7 nandkumar mane 2008-12-09 07:13:51 EST
Sorry for the delay.
After some basic testing, I found that this new qisioctl driver is working fine with R5U3(Snapshot4) inbox driver. I didn't see kernel panic.

Note You need to log in before you can comment on or make changes to this bug.